import json
import boto3

s3_client = boto3.client('s3')
dynamodb_client = boto3.resource('dynamodb')

def lambda_handler(event, context):
    bucket_name = event['Records'][0]['s3']['bucket']['name']
    json_file_name = event['Records'][0]['s3']['object']['key']
    json_objects = s3_client.get_object(Bucket=bucket_name, Key=json_file_name)
    jsonFileReader = json_objects['Body'].read()
    jsonDict = json.loads(jsonFileReader)
    table = dynamodb_client.Table('Airbnb_Texas_Rentals')
    for row in jsonDict:
        modified_row = {}
        for attribute, value in row.items():
            if (attribute == 'latitude' or attribute == 'longitude'):
                modified_row[attribute] = str(value)
            else:
                modified_row[attribute] = value
        table.put_item(Item=modified_row)
    return 'Hello From Aws Lambda'
